org.jboss.resteasy.springmvc

## Class ResteasyHandlerMapping

- java.lang.Object
- - org.jboss.resteasy.springmvc.ResteasyHandlerMapping

- All Implemented Interfaces:
    org.springframework.beans.factory.InitializingBean, org.springframework.core.Ordered, org.springframework.web.servlet.HandlerMapping

      public class ResteasyHandlerMapping
      extends Object
      implements org.springframework.web.servlet.HandlerMapping, org.springframework.core.Ordered, org.springframework.beans.factory.InitializingBean

  Version:
    $Revision: 1 $
  Author:
    Solomon Duskis

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.web.servlet.HandlerMapping

      `BEST_MATCHING_PATTERN_ATTRIBUTE, PATH_WITHIN_HANDLER_MAPPING_ATTRIBUTE, URI_TEMPLATE_VARIABLES_ATTRIBUTE`

    - ### Fields inherited from interface org.springframework.core.Ordered

      `HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResteasyHandlerMapping(ResteasyDeployment deployment)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()`
    `SynchronousDispatcher` | `getDispatcher()`
    `org.springframework.web.servlet.HandlerExecutionChain` | `getHandler(javax.servlet.http.HttpServletRequest request)`
    `org.springframework.web.servlet.HandlerInterceptor[]` | `getInterceptors()`
    `int` | `getOrder()`
    `String` | `getPrefix()`
    `boolean` | `isThrowNotFound()`
    `void` | `setInterceptors(org.springframework.web.servlet.HandlerInterceptor[] interceptors)`
    `void` | `setOrder(int order)`
    `void` | `setPrefix(String prefix)`
    `void` | `setThrowNotFound(boolean throwNotFound)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyHandlerMapping

          public ResteasyHandlerMapping(ResteasyDeployment deployment)

  - ### Method Detail

    - #### getDispatcher

          public SynchronousDispatcher getDispatcher()

    - #### setOrder

          public void setOrder(int order)

    - #### getInterceptors

          public org.springframework.web.servlet.HandlerInterceptor[] getInterceptors()

    - #### setInterceptors

          public void setInterceptors(org.springframework.web.servlet.HandlerInterceptor[] interceptors)

    - #### getHandler

          public org.springframework.web.servlet.HandlerExecutionChain getHandler(javax.servlet.http.HttpServletRequest request)
                                                                           throws Exception

      Specified by:
        `getHandler` in interface `org.springframework.web.servlet.HandlerMapping`
      Throws:
        `Exception`

    - #### getOrder

          public int getOrder()

      Specified by:
        `getOrder` in interface `org.springframework.core.Ordered`

    - #### isThrowNotFound

          public boolean isThrowNotFound()

    - #### setThrowNotFound

          public void setThrowNotFound(boolean throwNotFound)

    - #### getPrefix

          public String getPrefix()

    - #### setPrefix

          public void setPrefix(String prefix)

    - #### afterPropertiesSet

          public void afterPropertiesSet()
                                  throws Exception

      Specified by:
        `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.